require 'rubygems'
require 'rest-client'

module RollCall
  class Node
    attr_accessor :name, :serviceName, :status, :url

    def initialize(name,serviceName,url)
      @name = name
      @serviceName = serviceName
      @url = url + '/services/' + @serviceName + '/nodes/'    
    end

    def register
      payload = {service_node:{"name" => @name}}
      RestClient.post(@url,payload, content_type: :json, accept: :json)
    end

    def unregister
      RestClient.delete(@url + @name)
    end

    def update(level,info)
      @extension = '/status'
      payload = {node_statu:{info:info, level:level}} 
      RestClient.put(@url + @name + @extension ,payload.to_json,content_type: :json, accept: :json)
    end
  end
end 
