require 'rubygems'
require 'rest-client'

module RollCall
  class Service
    attr_accessor :name, :node_timeout, :settings

    def initialize(name,node_timeout,settings,url)
      @name = name
      @node_timeout = node_timeout
      @settings = settings
      @url = url    
    end

    def register
      payload = {service:{"name" => @name, "node_timeout" => @node_timeout, "settings" => @settings}}
      RestClient.post(@url,payload,accept: 'applciation/json')
    end

    def unregister
      RestClient.delete(@url + @name)
    end

    def update(attributeIn)
      attribute = attributeIn
      payload = {service:attribute}
      RestClient.put(@url + @name,payload,accept: 'applciation/json')
    end
  end
end
